<?php

/**
 * Implementation of hook_views_handlers().
 */
function node_invite_views_handlers() {
  return array(
    'handlers' => array(
      'node_invite_invitee_list_handler_field' => array(
        'parent' => 'views_handler_field_numeric',
      ),
    ),
  );
}

/**
 * Implementation of hook_views_data().
 */
function node_invite_views_data() {
  $data = array();
  $data['node_invites']['table']['group'] = t('Node');
  $data['node_invites']['table']['join']['node'] = array(
    'left_field' => 'nid',
    'field' => 'nid',
  );

  $data['node_invites']['invite_count'] = array(
    'title' => t('Invite count'),
    'help' => t('The number of people invited to this node'),
    'field' => array(
      'handler' => 'node_invite_invitee_list_handler_field',
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_numeric',
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
  );
  return $data;
}
